OpenCL C++ Bindings

Loading...
Searching...
No Matches
cl::detail::GetInfoFunctor1< Func, Arg0, Arg1 > Struct Template Reference

## Public Member Functions
cl_int | operator() (cl_uint param, size_type size, void *value, size_type *size_ret)

## Public Attributes
Func | f_
const Arg0 & | arg0_
const Arg1 & | arg1_

## Detailed Description

template<typename Func, typename Arg0, typename Arg1>
struct cl::detail::GetInfoFunctor1< Func, Arg0, Arg1 >

Definition at line 1954 of file opencl.hpp.

## Member Function Documentation

## ◆ operator()()

template<typename Func, typename Arg0, typename Arg1>

cl_int cl::detail::GetInfoFunctor1< Func, Arg0, Arg1 >::operator() | ( | cl_uint | param,
|  | size_type | size,
|  | void * | value,
|  | size_type * | size_ret )
| inline

Definition at line 1957 of file opencl.hpp.

## Member Data Documentation

## ◆ arg0_

template<typename Func, typename Arg0, typename Arg1>

const Arg0& cl::detail::GetInfoFunctor1< Func, Arg0, Arg1 >::arg0_

Definition at line 1956 of file opencl.hpp.

## ◆ arg1_

template<typename Func, typename Arg0, typename Arg1>

const Arg1& cl::detail::GetInfoFunctor1< Func, Arg0, Arg1 >::arg1_

Definition at line 1956 of file opencl.hpp.

## ◆ f_

template<typename Func, typename Arg0, typename Arg1>

Func cl::detail::GetInfoFunctor1< Func, Arg0, Arg1 >::f_

Definition at line 1956 of file opencl.hpp.

The documentation for this struct was generated from the following file:

- opencl.hpp